@SET cd=
@SET promp$=%prompt%
@PROMPT SET cd$Q$P
@CALL>%temp%.\setdir.bat
@
% do not delete this line %
@ECHO on
PROMPT %promp$%
FOR %%c IN (CALL DEL) DO %%c %temp%.\setdir.bat
ECHO. current directory=%cd%
SET CLASSPATH=.;%cd%\lib\log4j.jar;.\lib\pmdreports.jar;%cd%\lib\xercesImpl.jar;%cd%\lib\pmd-4.0.jar;%cd%\lib\xalan.jar;%cd%\lib\serializer.jar;
java org.pmdreports.PMDReports %1 %2 %3 %4 %prompt% -classpath %CLASSPATH%s